<?php

namespace Drupal\layout_builder_enhancements_layout\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a Layout feature item annotation object.
 *
 * @see \Drupal\layout_builder_enhancements_layout\Plugin\LayoutFeaturePluginManager
 * @see plugin_api
 *
 * @Annotation
 */
class LayoutFeaturePlugin extends Plugin {


  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The label of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * The description of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $description;

}
